import React from "react";
import './styles.css'

function AutoResizeInput({ onChange, value, className, style, placeholder }) {
  return (
    <span
      className={`res_textarea ${className || ""}`}
      role="textbox"
      data-placeholder={placeholder || "Type something..."}
      suppressContentEditableWarning={true}
      contentEditable
      style={{ ...style }}
      onInput={(e) => onChange(e.target.innerText)}
    >
      {value}
    </span>
  );
}

export default AutoResizeInput;
